@echo off
rem **********************************************************************
rem *
rem * Unidac for Delphi XE3
rem *
rem **********************************************************************

rem --- Win64 compatibility ---
if "%ProgramFiles(x86)%"=="" goto DoWin32
set PROGRAMFILES=%ProgramFiles(x86)%
:DoWin32

set IdeDir="%PROGRAMFILES%\Embarcadero\RAD Studio\10.0
del /Q/S UniDAC\*.*
call ..\Make.bat Delphi 17 WIN32
call ..\Make.bat Delphi 17 WIN64
call ..\Make.bat Delphi 17 OSX32
